@REM Copyright IBM Corp. 2005
@REM
@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off

setlocal

set BI_DIR=%~1
set WSTOOLS_DIR=%BI_DIR%\wstools\eclipse

if not exist "%BI_DIR%\wstools\eclipse\backup" goto backup_error

pushd "%WSTOOLS_DIR%"
if exist "%WSTOOLS_DIR%\plugins\com.ibm.wbit.artifact.loader_6.0.2.100" rmdir /s /Q "%WSTOOLS_DIR%\plugins\com.ibm.wbit.artifact.loader_6.0.2.100"
if exist "%WSTOOLS_DIR%\plugins\com.ibm.wbit.command.framework_6.0.2.100" rmdir /s /Q "%WSTOOLS_DIR%\plugins\com.ibm.wbit.command.framework_6.0.2.100"
if exist "%WSTOOLS_DIR%\plugins\com.ibm.wbit.index_6.0.2.100" rmdir /s /Q "%WSTOOLS_DIR%\plugins\com.ibm.wbit.index_6.0.2.100"

if exist backup\com.ibm.wbit.artifact.loader_6.0.0 move /Y backup\com.ibm.wbit.artifact.loader_6.0.0 plugins
if exist backup\com.ibm.wbit.artifact.loader_6.0.0.1 move /Y backup\com.ibm.wbit.artifact.loader_6.0.0.1 plugins
if exist backup\com.ibm.wbit.artifact.loader_6.0.1 move /Y backup\com.ibm.wbit.artifact.loader_6.0.1 plugins
if exist backup\com.ibm.wbit.artifact.loader_6.0.1.100 move /Y backup\com.ibm.wbit.artifact.loader_6.0.1.100 plugins
if exist backup\com.ibm.wbit.artifact.loader_6.0.1.200 move /Y backup\com.ibm.wbit.artifact.loader_6.0.1.200 plugins
if exist backup\com.ibm.wbit.artifact.loader_6.0.1.201 move /Y backup\com.ibm.wbit.artifact.loader_6.0.1.201 plugins
if exist backup\com.ibm.wbit.artifact.loader_6.0.2 move /Y backup\com.ibm.wbit.artifact.loader_6.0.2 plugins

if exist backup\com.ibm.wbit.command.framework_6.0.2 move /Y backup\com.ibm.wbit.command.framework_6.0.2 plugins
if exist backup\com.ibm.wbit.command.framework_6.0.2.001 move /Y backup\com.ibm.wbit.command.framework_6.0.2.001 plugins

if exist backup\com.ibm.wbit.index_6.0.0 move /Y backup\com.ibm.wbit.index_6.0.0 plugins
if exist backup\com.ibm.wbit.index_6.0.0.1 move /Y backup\com.ibm.wbit.index_6.0.0.1 plugins
if exist backup\com.ibm.wbit.index_6.0.1 move /Y backup\com.ibm.wbit.index_6.0.1 plugins
if exist backup\com.ibm.wbit.index_6.0.1.100 move /Y backup\com.ibm.wbit.index_6.0.1.100 plugins
if exist backup\com.ibm.wbit.index_6.0.1.101 move /Y backup\com.ibm.wbit.index_6.0.1.101 plugins
if exist backup\com.ibm.wbit.index_6.0.1.200 move /Y backup\com.ibm.wbit.index_6.0.1.200 plugins
if exist backup\com.ibm.wbit.index_6.0.2 move /Y backup\com.ibm.wbit.index_6.0.2 plugins
if exist backup\com.ibm.wbit.index_6.0.2.001 move /Y backup\com.ibm.wbit.index_6.0.2.001 plugins

rmdir /s /Q backup
popd

:backup_error
